Package com.smartgwt.client.widgets.tab.events

# Class TabContextMenuEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>
com.smartgwt.client.widgets.events.BrowserEvent<TabContextMenuHandler>
com.smartgwt.client.widgets.tab.events.TabContextMenuEvent

All Implemented Interfaces:
  `Cancellable`

public class TabContextMenuEvent extends BrowserEvent<TabContextMenuHandler> implements Cancellable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TabContextMenuEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Call this method to cancel default right-click behavior
  `protected void`
  `dispatch(TabContextMenuHandler handler)`
  `static <S extends HasTabContextMenuHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<TabContextMenuHandler>`
  `getAssociatedType()`
  `Canvas`
  `getFiringCanvas()`
  Returns the `Canvas` firing the event.
  `Tab`
  `getTab()`
  the tab object that recieved the context click event
  `TabSet`
  `getTabSet()`
  This tabset
  `static GwtEvent.Type<TabContextMenuHandler>`
  `getType()`
  Gets the type associated with this event.
  `boolean`
  `isCancelled()`

  ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

  `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TabContextMenuEvent

    public TabContextMenuEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringCanvas

    public Canvas getFiringCanvas()
    Returns the `Canvas` firing the event.
    Returns:
      Canvas firing the event

  - ### fire

    public static <S extends HasTabContextMenuHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<TabContextMenuHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(TabContextMenuHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<TabContextMenuHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<TabContextMenuHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<TabContextMenuHandler>`

  - ### cancel

    public void cancel()
    Call this method to cancel default right-click behavior
    Specified by:
      `cancel` in interface `Cancellable`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      true if cancelled

  - ### getTabSet

    public TabSet getTabSet()
    This tabset
    Returns:
      This tabset

  - ### getTab

    public Tab getTab()
    the tab object that recieved the context click event
    Returns:
      the tab object that recieved the context click event